# Hock-Schittkowski test problem #72
#
# W. Hock, K. Schittkowski, Test Examples for Nonlinear Programming Codes, Lecture Notes in Economics and Mathematical Systems, Springer, Vol. 187, 1981
#

var x {1..4} >= 0.001;

param a {1..2, 1..4};
param b {1..2};

minimize obj: 
  1 + sum {j in 1..4} x[j] ;

subject to constr {i in 1..2}: 
  sum {j in 1..4} a[i,j]/x[j] <= b[i];
subject to upperb {j in 1..4}: 
  x[j] <= (5-j)*1e5;

let x[1] := 1;
let x[2] := 1;
let x[3] := 1;
let x[4] := 1;

data;

param a:  1    2    3    4 :=
    1     4 2.25    1 0.25
    2  0.16 0.36 0.64 0.64
    ;

param b :=
    1   0.0401
    2   0.010085
    ;


